// BWQuartzViewDemo.h -- play with Quartz (Core Graphics) directly.  these
//		         some sample bits of code lifted from the Apple
//		         intro to quartz documentation

// Copyright (C) 2002 Borkware
// We use the BSD License.  Check out http://borkware.com/license

#import <Cocoa/Cocoa.h>
#import "BWQuartzView.h"

@interface BWQuartzViewDemo : BWQuartzView
{
    BOOL	fannedLines;
    BOOL	clipToText;
    float	rotation;
    float	translationX;
    float	translationY;
}

// the UI can tweak these values

- (void) setFannedLines: (BOOL) onOff;
- (void) setClipToText: (BOOL) onOff;
- (void) setRotation: (float) angle;
- (void) setTranslationX: (float) x;
- (void) setTranslationY: (float) y;

@end // BWQuartzViewDemo


