// BWQuartzWindowController.h -- mediate between the UI items and the
//				 quartzDemoView

// Copyright (C) 2002 Borkware
// We use the BSD License.  Check out http://borkware.com/license

#import <Cocoa/Cocoa.h>

@class BWQuartzViewDemo;

@interface BWQuartzWindowController : NSWindowController
{
    IBOutlet	BWQuartzViewDemo	*demoView;
}

- (IBAction) setFannedLines: (id) sender;
- (IBAction) setClipToText: (id) sender;
- (IBAction) setRotation: (id) sender;
- (IBAction) setTranslationX: (id) sender;
- (IBAction) setTranslationY: (id) sender;

@end // BWQuartzWindowController

