// LineWindowController.h -- Drive the Line window.  This is an ancient
//			     file, hence the lack of a 'BW' prefix.

// Copyright (C) 2002 Borkware
// We use the BSD License.  Check out http://borkware.com/license

#import <Cocoa/Cocoa.h>

@class BWLineCap;
@class BWLineJoin;
@class BWLineDash;

@interface LineWindowController : NSWindowController 
{
    IBOutlet	BWLineCap      *lineCap;
    IBOutlet	BWLineJoin     *lineJoin;
    IBOutlet	BWLineDash     *lineDash;
    IBOutlet	BWLineDash     *curveDash;
}

- (IBAction) setCapLineWidth: (id) sender;
- (IBAction) setCapStyle: (id) sender;

- (IBAction) setJoinLineWidth: (id) sender;
- (IBAction) setJoinMiterLimit: (id) sender;
- (IBAction) setJoinStyle: (id) sender;

- (IBAction) setDashLineWidth: (id) sender;
- (IBAction) setDashLinePhase: (id) sender;
- (IBAction) updateDashPattern: (id) sender;

@end
