// BWQuartzView.h -- base class for playing with with Quartz stuff.
//		     to use just plain ol' CG calls, override
//		     drawRect: withContext: and use the passed in 
//		     graphics context

// Copyright (C) 2002 Borkware
// We use the BSD License.  Check out http://borkware.com/license

#import <Cocoa/Cocoa.h>


// just some typecast magic to go from an NSRect to a CGRect

#define BWConvertToCGRect(nsrect)	*((CGRect*)&(nsrect))


@interface BWQuartzView : NSView
{

}

// override me to easily draw with CG calls

- (void) drawRect: (NSRect) rect  withContext: (CGContextRef) context;


@end // BWQuartzView

