// BWQuartzWindowController.h -- mediate between the UI items and the
//				 quartzDemoView

// Copyright (C) 2002 Borkware
// We use the BSD License.  Check out http://borkware.com/license

#import "BWQuartzWindowController.h"
#import "BWQuartzViewDemo.h"

@implementation BWQuartzWindowController

// not a whole lot interesting here

- (IBAction) setFannedLines: (id) sender
{
    [demoView setFannedLines: [sender intValue]];
    [demoView setNeedsDisplay: YES];
} // setFannedLines


- (IBAction) setClipToText: (id) sender
{
    [demoView setClipToText: [sender intValue]];
    [demoView setNeedsDisplay: YES];

} // setClipToText

- (IBAction) setRotation: (id) sender
{
    [demoView setRotation: -[sender floatValue]];
    [demoView setNeedsDisplay: YES];

} // setRotation


- (IBAction) setTranslationX: (id) sender
{
    [demoView setTranslationX: [sender floatValue]];
    [demoView setNeedsDisplay: YES];
    
} // setTranslationX


- (IBAction) setTranslationY: (id) sender
{
    [demoView setTranslationY: [sender floatValue]];
    [demoView setNeedsDisplay: YES];

} // setTranslationY


@end // BWQuartzWindowController


