// GrafDemo.h -- Drive the central 'menu' window

// Copyright (C) 2002 Borkware
// We use the BSD License.  Check out http://borkware.com/license

#import <Cocoa/Cocoa.h>

@class LineWindowController;
@class BWCurveWindowController;
@class BWImageWindowController;
@class BWQuartzWindowController;

@interface GrafDemo : NSObject
{
    LineWindowController	*lineWindowController;
    BWCurveWindowController	*curveWindowController;
    BWImageWindowController	*imageWindowController;
    BWQuartzWindowController	*quartzWindowController;
}

- (IBAction) showLinesWindow: (id) sender;
- (IBAction) showCurveWindow: (id) sender;
- (IBAction) showImageWindow: (id) sender;
- (IBAction) showQuartzWindow: (id) sender;

@end // GrafDemo
